# TXT2TAGS

Abu, 2010

- IZENA
- SINOPSIA
- DESKRIBAPENA
- SINTAXIA
- AUKERAK
- ITURBURU FITXATEGIAK
- EZARPENAK
- KOMANDOAK
- MAKROAK
- ADIBIDEAK
- FITXATEGIAK
- INGURUNEA
- EGILEA
- ERROREAK
- COPYRIGHT

# IZENA

txt2tags - testu formateatze eta bihurtze tresna

# SINOPSIA

txt2tags [aukerak] [FITXATEGIA...]

# DESKRIBAPENA

txt2tags markatze minimoa duen testu fitxategi bat irakurri eta ondoko helburuetara bihurtzen du: ASCII Art, AsciiDoc, Creole, DocBook, DokuWiki, Eskuliburu Orria (man), Google Code Wiki, HTML, LaTeX, Lout, MagicPoint, MoinMoin, PageMaker, PmWiki, SGML, Testu Soila, Wikipedia eta XHTML.

Eskuliburu orri hau txt2tags-ek sortua da testu fitxategi soil batetik. Testu fitxategi bera HTML-ra bihurtu da eskuliburuaren sareko bertsiorako.

Iturburu BAT, helburu ASKO - http://txt2tags.org

# SINTAXIA

      Goiburukoak               Iturburu fitxategiaren lehenbizko 3 lerroak
      Izenburua                = hitzak =
      Zenbakitutako izenburua  + hitzak +
      Iruzkina                 % iruzkinak
      Lerro bereizlea          -----------------------...
      Lerro lodia              =======================...
      Irudia                   [fitxategia.jpg]
      Estekak                  [etiketa url]

      Lodia                    **hitzak**
      Etzana                   //hitzak//
      Azpimarratuta            __hitzak__
      Marratua                 --hitzak--
      Tarte bakarrekoa         ``hitzak``
      Testu gordina            ""hitzak""
      Etiketatua               ''hitzak''

      Paragrafoa                hitzak
      Aipamena                 <TAB>hitzak
      Zerrenda                 - hitzak
      Zenbakitutako zerrenda   + hitzak
      Definizioen zerrenda     : hitzak
      Taula                    | gelaxka1 | gelaxka2 | gelaxka3...

      Hitzez hitzeko lerroa    ``` hitzak
      Lerro gordina            """ hitzak
      Etiketatutako lerroa     ''' hitzak

      Hitzez hitzeko area      ```
                               lerroak
                               ```
      Area gordina             """
                               lerroak
                               """
      Area etiketatua          '''
                               lerroak
                               '''

# AUKERAK

--art-chars=PATROIA
  ASCII Art apainketarako erabiliko diren karaktereak definitzeko PATROIA ezarri, ondoko ordenean: Erpina, ertza, aldea, barra1, barra2, maila2, maila3, maila4, maila5. Defektuzko patroia +-|-==-^" da. Aukera hau ASCII Art helbururako erabiltzeen da bakarrik.

-C, --config-file=FITXATEGIA
  Konfigurazioa kanpoko FITXATEGIA fitxategitik irakurri. Konfigurazioak %!gakoa:balioa formatua izan behar du. EZARPENAK atala ikusi xehetasunentzako.

--css-sugar
  CSS-rekin jatorrak diren etiketak txertatu. HTML eta XHTML helburuen kodea CSS fitxategiekin erabiltzeko hobetzen du. Etiketen atributuak kentzen dira, aurkezpen etiketak sahiesten dira, goiburukoak H1, H2 eta H3 etiketekin egiten dira, eta DIV berriak sortzen dira: #header, #body, .toc.

--css-inside
  CSS fitxategiaren edukiak HTML/XHTML goiburuetan txertatu. `--style` erabili CSS fitxategia zehazteko.

--dump-config
  Topatutako konfigurazio guztia inprimatu eta irten.

--dump-source
  Dokumentuaren iturburua inprimatu, barneratzeko (`%!include`) guztiak txertatuta.

--encoding=KODEKETA
  Iturburu fitxategian erabiltzen den karaktere kodeketa KODEKETA-ra ezarri. Adibidez UTF-8 edo iso-8859-1.

--gui
  Tk Interfaze Grafikoa abiatu.

-h, --help
  Laguntza mezua inprimatu eta irten.

-H, --no-headers
  Goiburukoa eta oinaren informazioa helburutik kendu. Edukia (gorputza) bakarrik ikusiko da.

--headers
  Goiburukoa eta oinaren informazioa helburuan erakutsi. Defektuz gaituta.

--height=ZENB
  Irteeraren altuera ZENB zutabeetan finkatu. Aukera hau ASCII ART helburuarekin bakarrik erabiltzen da, `--slides` baita erabiltzen bada.

-i, --infile=FITX
  FITX zehaztu sarrera fitxategi bezela, iturburu dokumentua. '-' erabili iiturburuak STDIN-etik irakurtzeko.

--mask-email
  Epostak spam robotengandik ezkutatu. @ eta puntuak kentzen ditu. foo@bar.com helbidea <foo (a) bar com> bihurtzen du.

-n, --enum-title
  Gaitu izenburuen zenbakitze automatikoa. Aurrizki moduan 1, 1.1, 1.1.1, ... erabiliko dira.

--no-dump-config
  `--dump-config` aukera ezgaitzen du.

--no-dump-source
  `--dump-source` aukera ezgaitzen du.

--no-encoding
  Kodeketaren ezarpena garbitu.

--no-enum-title
  Izenburuen zenbakitze automatikoa ezgaitu.

--no-infile
  Aurreko infile guztiak kendu.

--no-targets
  `--targets` aukera ezgaitzen du.

--no-mask-email
  Epostaz izkutatzea ezgaitu.

--no-outfile
  Aurreko outfile guztiak kendu.

--no-quiet
  Mezuak erakutsi, --quiet aukera ezgaituz.

--no-rc
  Ez irakurri ~/.txt2tagsrc erabiltzailearen konfigurazio fitxategia.

--no-slides
  Diapositibak ezgaitu.

--no-style
  Estilo ezarpenak garbitu.

--no-toc
  Helburuan Edukien Taula kendu.

--no-toc-only
  `--toc-only` aukera ezgaitzen du.

-o, --outfile=FITX
  FITX zehaztu irteera fitxategiaren izen bezala. '-' erabili helbura STDOUT-era bidaltzeko.

-q, --quiet
  Modu geldia. Irteera mezurik ez, erroreak ezik.

--rc
  Erabiltzailearen ~/.txt2tagsrc konfigurazio fitxategia irakurri. Defektuz gaituta.

--slides
  Irteera aurkezpen diapositiba bezala formateatu. Aukera hau ASCII Art helburuarekin bakarrik erabiltzen da.

--style=FITX
  FITX erabili dokumentuaren estilo moduan. HTML/XHTML dokumentuen CSS fitxategiak edo LaTeX paketeak definitzeko erabilia. Aukera hau askotan erabili daiteke fitxategi bat baino gehiago sartzeko.

-t, --target=MOTA
  Helburuko dokumentuaren mota MOTA-ra ezarri. Gehien erabilitako helburuak: html, xhtml, tex, man, txt. `--targtets` aukera erabili eskuragarri dauden helburu guztiak ikusteko.

--targets
  Eskuragarri dauden helburu guztiak erakutsi eta irten.

--toc
  Edukien Taula (TOC) automatiko gehitu helburu dokumentura, Goiburukoa eta Gorputzaren artean. TOC-aren kokapena `%%TOC` makroarekin zehaztu dezakezu.

--toc-level=ZENB
  Edukien Taularen maila (sakonera) maximoa ZENB-en ezarri. ZENB baino sakonago dauden izenburuak ez dira Edukin Taulan sartuko.

--toc-only
  Dokumentuaren Edukien Taula inprimatu eta irten.

-v, --verbose
  Bihurketaren bitartean mezu informatiboak inprimatu. Aukera hau behin baino gehiago erabili daiteke jasotako mezu kopurua handitzeko.

-V, --version
  Programaren bertsioa inprimatu eta irten.

--width=ZENB
  Irteeraren zabalera ZENB zutabeetan finkatu. Aukera hau ASCII Art helburuarekin bakarrik erabiltzen da.

# ITURBURU FITXATEGIAK

Iturburu fitxategiak gehienetan .t2t luzapenarekin identifikatzen dira (`nirefitx.t2t` adibidez). Zure iturburuak hiru area eduki ditzake:

Goiburukoa (aukerakoa)
  Fitxategiaren lehenbiziko hiru lerroak. Zuriz hutsi behar ez badituzu. Dokumentuaren izenburu, egile, bertsio eta datarentzako erabilita.

Ezarpenak (aukerakoa)
  Goiburukoaren ondoren hasten da (4. edo 2. lerroa) eta Gorputza hasten denean bukatzen da. Konfiguraziorako erabiltzen da, %!gakoa: balioa formatuan.

Gorputza
  Goiburukoaren ondoren, baliozko lehenbiziko lerroan hasten da (iruzkin edo ezarpena ez dena) eta dokumentu bukaerarekin amaitzen da. Dokumentuaren edukientzakoe erabiltzen da.

# EZARPENAK

Ezarpenek, aukeren antzera, txt2tags pertsonalizatzea ahalbidetzen dute. Hiru lekutan erabil daitezke: iturburu dokumentuaren Ezarpenak arean, `~/.txt2tagsrc` fitxategian, `--config--file` aukerarekin zehaztutako kanpoko fitxategi batean.

%!target
  Helburu formatua ezartzen du, `--target`-ekin bezala. Adibidez:

        %!target: html

%!options(target)
  Helburu bakoitzerako aukera lehenetsiak zehazten ditu. Komando lerroko aukerak erabili behar dituzu. Adibidez:

        %!options(html): --toc --toc-level 3 --css-sugar

%!includeconf
  Kanpoko fitxategi batetik unekoan ezarpenak txertatzen du, `--config-file`-k bezala. Adibidez:

        %!includeconf: nirekonfigurazioa.t2t

%!style
  Dokumentuan erabiltzeko estilo fitxategia ezartzen du, `--style`-k bezala. Adibidez:

        %!style: koloreak.css

%!encoding
  Dokumentuko karaktere kodeketa adierazteko, `--encoding`-ek bezala. Adibidez:

        %!encoding: UTF-8

%!preproc
  Iturburu dokumentuko Gorputza aldatzeko erabiltzen den bilatu/ordeztu iragazkia, txt2tags-ek inolako analisia egin BAINO LEHEN. Bilaketak Python-eko adierazpen erregularrak erabiltzen ditu. Adibidez:

        %!preproc:  "JJS"  "John J. Smith"

%!postproc
  Sortutako dokumentua aldatzeko erabiltzen den irteerako bilatu/ordeztu iragazkia, txt2tags-eko prozesu osoaren ONDOREN. Bilaketak Python-eko adierazpen erregularrak erabiltzen ditu. Adibidez:

        %!postproc(html):  "<B>"  "<STRONG>"

# KOMANDOAK

Komandoek bihurketa garaian atazak burutzen dituzte. Iturburu dokumentuaren Gorputzean jarri behar dira.

%!csv: fitxategia.csv
  Kanpoko CSV fitxategi bat txertatzen du taula moduan.

%!include: fitxategia.t2t
  Dokumentuan txt2tags fitxategi bat txertatzen du.

%!include: ``fitxategia.txt``
  Dokumentuan testu fitxategi bat txertatzen du (hitzez hitz).

%!include: fitxategia.html
  Dokumentuan dagoeneko etiketatutako fitxategia txertatzen du.

# MAKROAK

Makroak zure dokumentuan eduki dinamikoa sartzeko lasterbide baliagarriak dira. Ituruburuko Gorputzean jarri behar dira. `%%toc` ezik, makro guztiak `%Y` eta `%f` bezalako parametro bereziekin pertsonalizatu daitezke. Begiratu txt2tags-en Erabiltzaile Gida xehetasunetarako.

%%date
  Uneko data txertatzen du. Defektuzko formatua `%%date(%Y%m%d)` da, UUUUHHEE ematen duena.

%%infile
  Iturburu fitxategiaren bidea txertatzeko. Defektuzko formatua `%%infile(%f)` da. Dokumentuaren oinean `[[Ikusi %%infile iturburua]]` bezalako estekak jartzeko erabilgarria.

%%mtime
  Iturburu fitxategiaren aldaketa data txertatzeko. Defektuzko formatua `%%mtime(%Y%m%d)` da, UUUUHHEE ematen duena.

%%outfile
  Irteerako fitxategiaren bidea txertatzeko. Defektuzko formatua `%%outfile(%f)` da. "Hau manpage-eu.html fitxategia da" bezalako aipamenentzako erabilgarria.

%%toc
  Edukien Taula non agertu behar den zehazten du. Behin baino gehiagotan adieraz dezakezu. Ohartu `--toc` aukera erabili beharko duzula baita ere.

# ADIBIDEAK

`txt2tags -t html fitx.t2t`

  HTMLra bihurtu, fitx.html-n gordez.

`txt2tags -t html -o - fitx.t2t`

  HTMLra bihurtu, emaitzak STDOUT-era bidaliz.

`txt2tags -t html --toc fitx.t2t`

  HTMLra bihurtu, Edukien Taula automatikoarekin.

`txt2tags -t html --toc --toc-level 2 -n fitx.t2t`

  HTMLra bihurtu, bi mailatako Edukien Taularekin eta zenbakitutako izenburuekin.

`txt2tags --toc-only fitx.t2t`

  Edukien Taula erakutsi bakarrik, bihurketarik egin gabe.

`txt2tags -t html --css-sugar --style oinarrizkoa.css --style ui.css fitx.t2t`

  HTMLra bihurtu, sortutako kodea CSSrekin erabiltzeko prestatuz, eta kanpoko bi CSS fitxategi erabiliz.

`txt2tags -t art --slides --width 80 --height 25 -o - file.t2t | more`

  Sortu ASCII Art aurkezpen diapositibak, 80x25-eko terminal/leihoan ikusteko prest.

`(echo ; echo "**bold**") | txt2tags -t html -H -`

  Lerro bakarreko dei lagungarria STDIN erabiliz froga azkarrak egiteko.

`txt2tags -t html -o - file.t2t | tidy > file.html`

  Emaitzak STDOUTera bidali eta ondoren kanpoko programa baten bidez txukundu fitxategian gorde baino lehen.

# FITXATEGIAK

~/.txt2tagsrc
  Erabiltzailearen defektuzko konfigurazio fitxategia.

# INGURUNEA

T2TCONFIG
  Null ez bada, erabiltzailearen defektuzko konfigurazio fitxategiaren bide osoa adierazten du.

# EGILEA

Aurelio Jargas <<verde (a) aurelio net>>

Eskuliburu orriaren euskara itzulpena Ales Zabala Alava-k (Shagi) <<shagi (a) gisa-elkartea org>> egin du.

# ERROREAK

http://bugs.txt2tags.org

# COPYRIGHT

Copyright (C) 2001-2010 Aurelio Jargas, GNU GPL v2